<!DOCTYPE html>
<html lang="en" xmlns:th = "http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
    <!-- SEO Meta Tags -->
    <meta name="description" content="Create a stylish landing page for your business startup and get leads for the offered services with this HTML landing page template.">
    <meta name="author" content="Inovatik">

    <!-- OG Meta Tags to improve the way the post looks when you share the page on LinkedIn, Facebook, Google+ -->
	<meta property="og:site_name" content="" /> <!-- website name -->
	<meta property="og:site" content="" /> <!-- website link -->
	<meta property="og:title" content=""/> <!-- title shown in the actual shared post -->
	<meta property="og:description" content="" /> <!-- description shown in the actual shared post -->
	<meta property="og:image" content="" /> <!-- image link, make sure it's jpg -->
	<meta property="og:url" content="" /> <!-- where do you want your post to link to -->
	<meta property="og:type" content="article" />

    <!-- Website Title -->
    <title>SafetyCar</title>
    
    <!-- Styles -->
    <link  href="https://fonts.googleapis.com/css?family=Raleway:400,400i,600,700,700i&amp;subset=latin-ext" rel="stylesheet">
    <link th:href="@{/css/bootstrap.css}" href="../static/css/bootstrap.css" rel="stylesheet">
    <link th:href="@{/css/fontawesome-all.css}"  href="../static/css/fontawesome-all.css" rel="stylesheet">
    <link th:href="@{/css/swiper.css}" href="../static/css/swiper.css" rel="stylesheet">
	<link th:href="@{/css/magnific-popup.css}" href="../static/css/magnific-popup.css" rel="stylesheet">
    <link th:href="@{/css/styles.css}" href="../static/css/styles.css" rel="stylesheet">
    


	<!-- Favicon  -->
    <link rel="icon" th:href="@{/images/favicon.png}" href="../static/images/favicon.png">
</head>
<body data-spy="scroll" data-target=".fixed-top">
    
    <!-- Preloader -->
	<div class="spinner-wrapper">
        <div class="spinner">
            <div class="bounce1"></div>
            <div class="bounce2"></div>
            <div class="bounce3"></div>
        </div>
    </div>
    <!-- end of preloader -->
    

    <!-- Navigation -->
    <nav class="navbar navbar-expand-lg navbar-dark navbar-custom fixed-top">
        <!-- Text Logo - Use this if you don't have a graphic logo -->
        <!-- <a class="navbar-brand logo-text page-scroll" href="index.html">Evolo</a> -->

        <!-- Image Logo -->
        <a class="navbar-brand logo-image" th:href="@{/}" href="index.html"><img src="../static/images/logo_safetycar.png" th:src="@{/images/logo_safetycar.png}" alt="alternative"></a>
        
        <!-- Mobile Menu Toggle Button -->
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-awesome fas fa-bars"></span>
            <span class="navbar-toggler-awesome fas fa-times"></span>
        </button>
        <!-- end of mobile menu toggle button -->

        <div class="collapse navbar-collapse" id="navbarsExampleDefault">
           
        </div>
    </nav> <!-- end of navbar -->
    <!-- end of navigation -->


    <!-- Header -->
    <header id="header" class="header">
        <div class="header-content">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="text-container">
                            <h1><span class="turquoise">Login</span></h1>

                             <!-- Contact Form -->
                    <form th:action="@{/authenticate}" method="post"  >
                        <span><i th:if="${param.error}" class="input-error">wrong username or password</i></span>
                        <span><i th:if="${param.logout}" class="input-error">you have successfully logged out.</i></span>
                        <div class="form-group">
<!--                            <input type="text" class="form-control-input" id="cusername" required>-->
<!--                            <label name="username" class="label-control" for="cusername">Email</label>-->
                            <input class="form-control-input" type="email" id="username" name="username" placeholder="Type your email" required>
                            <div class="help-block with-errors"></div>
                        </div>
                        <div class="form-group">
<!--                            <input type="password" class="form-control-input" id="cpassword" required>-->
<!--                            <label name ="password" class="label-control" for="cpassword">Password</label>-->
                            <input class="form-control-input" type="password" id="password" name="password" placeholder="Type your password" required>
                            <div class="help-block with-errors"></div>
                        </div>

                        <div>Don't have an account? You can <a th:href="@{/register}">register</a> from here!</div><br>
                        <div class="form-group">

                            <button type="submit" class="form-control-submit-button">LOGIN</button>
                        </div>


                        <div class="form-message">
                            <div id="cmsgSubmit" class="h3 text-center hidden"></div>
                        </div>
                    </form>

                    <!-- end of contact form -->

                        </div> <!-- end of text-container -->
                    </div> <!-- end of col -->
                    <div class="col-lg-6">
                        <div class="image-container">
                            <img class="img-fluid" th:src="@{/images/header-teamwork2.png}" src="../static/images/header-teamwork2.png" alt="alternative">
                        </div> <!-- end of image-container -->
                    </div> <!-- end of col -->
                </div> <!-- end of row -->
            </div> <!-- end of container -->
        </div> <!-- end of header-content -->
    </header> <!-- end of header -->
    <!-- end of header -->


    
    	
    <!-- Scripts -->
    <script th:src = "@{/js/jquery.min.js}" src="../static/js/jquery.min.js"></script> <!-- jQuery for Bootstrap's JavaScript plugins -->
    <script th:src = "@{/js/popper.min.js}" src="../static/js/popper.min.js"></script> <!-- Popper tooltip library for Bootstrap -->
    <script th:src = "@{/js/bootstrap.min.js}" src="../static/js/bootstrap.min.js"></script> <!-- Bootstrap framework -->
    <script th:src = "@{/js/jquery.easing.min.js}" src="../static/js/jquery.easing.min.js"></script> <!-- jQuery Easing for smooth scrolling between anchors -->
    <script th:src = "@{/js/swiper.min.js}" src="../static/js/swiper.min.js"></script> <!-- Swiper for image and text sliders -->
    <script th:src = "@{/js/jquery.magnific-popup.js}" src="../static/js/jquery.magnific-popup.js"></script> <!-- Magnific Popup for lightboxes -->
    <script th:src = "@{/js/validator.min.js}" src="../static/js/validator.min.js"></script> <!-- Validator.js - Bootstrap plugin that validates forms -->
    <script th:src = "@{/js/scripts.js}" src="../static/js/scripts.js"></script> <!-- Custom scripts -->
    <script th:src = "@{/js/mdb.min.js}" type="text/javascript" src="../static/js/mdb.min.js"></script>
    
</body>
</html>